using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
//declare Excel variable and assign  Microsoft.Office.Interop.Excel dll name file
using Excel = Microsoft.Office.Interop.Excel;
namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {
            //creating excel file 
            Excel.Application xlApp;
            Excel.Workbook xlWorkBook;
            Excel.Worksheet xlWorkSheet;
            object misValue = System.Reflection.Missing.Value;

            xlApp = new Excel.ApplicationClass();
            xlWorkBook = xlApp.Workbooks.Add(misValue);
            xlWorkSheet = (Excel.Worksheet)xlWorkBook.Worksheets.get_Item(1);
            //Assigning values to the first row which we assume as columns of the excel

            xlWorkSheet.Cells[1, 1] = "Name";
            xlWorkSheet.Cells[1, 2] = "Age";
            xlWorkSheet.Cells[1, 3] = "Gender";
            xlWorkSheet.Cells[1, 4] = "Address";
            xlWorkSheet.Cells[1, 5] = "Mobile";

            //Assigning values to the second row which we assume as first data row of the excel
            xlWorkSheet.Cells[2, 1] = "Raj";
            xlWorkSheet.Cells[2, 2] = "28";
            xlWorkSheet.Cells[2, 3] = "Male";
            xlWorkSheet.Cells[2, 4] = "Sydney";
            xlWorkSheet.Cells[2, 5] = "9111111111";

            //Assigning values to the third row which we assume as second data row of the excel
            xlWorkSheet.Cells[3, 1] = "David";
            xlWorkSheet.Cells[3, 2] = "29";
            xlWorkSheet.Cells[3, 3] = "Male";
            xlWorkSheet.Cells[3, 4] = "Canada";
            xlWorkSheet.Cells[3, 5] = "9122222222";

            //Assign path and filename for the excel file to filename string variable
            string Filename = @"C:\sample.xls";
            //xlWorkBook.SaveAs(ojbect Filename,object FileFormat, object Password, object WriteResPassword, object ReadOnlyRecommended, object CreateBackup, Microsoft.Office.Interop.Excel.XlSaveAsAccessMode. )
            xlWorkBook.SaveAs(Filename, Excel.XlFileFormat.xlWorkbookNormal, misValue, misValue, misValue, misValue, Excel.XlSaveAsAccessMode.xlNoChange, misValue, misValue, misValue, misValue, misValue);
            xlWorkBook.Close(true, misValue, misValue);
            xlApp.Quit();

            releaseObject(xlWorkSheet);
            releaseObject(xlWorkBook);
            releaseObject(xlApp);
        }


        private void releaseObject(object obj)
        {
            try
            {
                System.Runtime.InteropServices.Marshal.ReleaseComObject(obj);
                obj = null;
            }
            catch (Exception ex)
            {
                obj = null;
                MessageBox.Show("Exception Occured while releasing object " + ex.ToString());
            }
            finally
            {
                GC.Collect();
            }
        }
    }
}